Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 603172 - NSS dbs are not created when mod_nss is installed(as nss-tools are not available)
NSS dbs are not created when mod_nss is installed(as nss-tools are not availa...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: mod_nss (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-11 14:23 EDT by Kashyap Chamarthy
Modified: 2015-01-04 18:42 EST (History)
2 users (show)

See Also:
Fixed In Version: mod_nss-1_0_8-8_el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 09:51:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kashyap Chamarthy 2010-06-11 14:23:44 EDT
Description of problem:

NSS dbs does not get created when mod_nss is installed(as nss-tools are not already installed). 
Instead, mod_nss is silently installed  without NSS databases under /etc/httpd/alias.
Perhaps it's just a missing dependency('Requires: nss-tools' ?) in mod_nss spec file.

Version-Release number:
mod_nss-1.0.8-7.el6.x86_64

Steps to Reproduce:
1. Install mod_nss without "nss-tools" package already on the system

Actual results:
mod_nss silently installs without complaining about missing dependency.

Expected results:
mod_nss should also pull-in the missing dependency(nss-tools)


Additional Info:
~~~~~~~~~~~~~~~

###############################################################################
root@colossus ~]# yum install mod_nss
Loaded plugins: rhnplugin
This system is not registered with RHN.
RHN support will be disabled.
rhel6-latest                                                                                                                          | 3.7 kB     00:00     
rhel6-optional                                                                                                                        | 3.0 kB     00:00     
rhts                                                                                                                                  |  951 B     00:00     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package mod_nss.x86_64 0:1.0.8-7.el6 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================================================
 Package                            Arch                              Version                                  Repository                               Size
=============================================================================================================================================================
Installing:
 mod_nss                            x86_64                            1.0.8-7.el6                              rhel6-latest                             79 k

Transaction Summary
=============================================================================================================================================================
Install       1 Package(s)
Upgrade       0 Package(s)

Total download size: 79 k
Installed size: 228 k
Is this ok [y/N]: y
Downloading Packages:
mod_nss-1.0.8-7.el6.x86_64.rpm                                                                                                        |  79 kB     00:01     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : mod_nss-1.0.8-7.el6.x86_64                                                                                                            1/1 

Installed:
  mod_nss.x86_64 0:1.0.8-7.el6                                                                                                                               

Complete!
[root@colossus ~]# cd /etc/httpd/alias/
[root@colossus alias]# ls
install.log  libnssckbi.so
[root@colossus alias]# 
###############################################################################
Note: If I had nss-tools already installed, NSS dbs will also be created while installing mod_nss.
Comment 2 RHEL Product and Program Management 2010-06-11 14:52:55 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Rob Crittenden 2010-06-14 11:40:01 EDT
As suggested, added Requires: nss-tools
Comment 4 Kashyap Chamarthy 2010-06-15 15:00:36 EDT
Verified. on RHEL6-beta nightly build. nss-tools 

Version:
[root@colossus ~]# rpm -qa mod_nss
mod_nss-1.0.8-8.el6.x86_64
[root@colossus ~]#
==========================================================
[root@colossus ~]# yum install mod_nss -y --nogpgcheck
Loaded plugins: rhnplugin
This system is not registered with RHN.
RHN support will be disabled.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package mod_nss.x86_64 0:1.0.8-8.el6 set to be updated
--> Processing Dependency: nss-tools for package: mod_nss-1.0.8-8.el6.x86_64
--> Running transaction check
---> Package nss-tools.x86_64 0:3.12.6-3.el6 set to be updated
--> Processing Dependency: nss = 3.12.6-3.el6 for package: nss-tools-3.12.6-3.el6.x86_64
--> Running transaction check
--> Processing Dependency: nss = 3.12.6-2.el6 for package: nss-sysinit-3.12.6-2.el6.x86_64
---> Package nss.x86_64 0:3.12.6-3.el6 set to be updated
--> Running transaction check
---> Package nss-sysinit.x86_64 0:3.12.6-3.el6 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

===============================================================================
 Package                               Arch                             Version                                Repository                               Size
================================================================================
Installing:
 mod_nss                               x86_64                           1.0.8-8.el6                            rhel6-nightly                            78 k
Installing for dependencies:
 nss-tools                             x86_64                           3.12.6-3.el6                           rhel6-nightly                           744 k
Updating for dependencies:
 nss                                   x86_64                           3.12.6-3.el6                           rhel6-nightly                           739 k
 nss-sysinit                           x86_64                           3.12.6-3.el6                           rhel6-nightly                            24 k

Transaction Summary
================================================================================
Install       2 Package(s)
Upgrade       2 Package(s)

Total size: 1.5 M
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating       : nss-sysinit-3.12.6-3.el6.x86_64                                                                                                       1/6 
  Updating       : nss-3.12.6-3.el6.x86_64                                                                                                               2/6 
  Installing     : nss-tools-3.12.6-3.el6.x86_64                                                                                                         3/6 
  Installing     : mod_nss-1.0.8-8.el6.x86_64                                                                                                            4/6 
  Cleanup        : nss-sysinit-3.12.6-2.el6.x86_64                                                                                                       5/6 
  Cleanup        : nss-3.12.6-2.el6.x86_64                                                                                                               6/6 

Installed:
  mod_nss.x86_64 0:1.0.8-8.el6                                                                                                                               

Dependency Installed:
  nss-tools.x86_64 0:3.12.6-3.el6                                                                                                                            

Dependency Updated:
  nss.x86_64 0:3.12.6-3.el6                                                 nss-sysinit.x86_64 0:3.12.6-3.el6                                                

Complete!
[root@colossus ~]# 
===============================================
Comment 5 releng-rhel@redhat.com 2010-11-11 09:51:32 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.